<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.6) on Thu Feb 20 09:43:17 CET 2020 -->
<title>DipSubscriptionImp (DIP :: Java Native Interface Library 5.7.0 API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-02-20">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DipSubscriptionImp (DIP :: Java Native Interface Library 5.7.0 API)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DipSubscriptionImp.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">cern.dip.implementation</a></div>
<h2 title="Class DipSubscriptionImp" class="title">Class DipSubscriptionImp</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="FactoryProduct.html" title="class in cern.dip.implementation">cern.dip.implementation.FactoryProduct</a></li>
<li>
<ul class="inheritance">
<li>cern.dip.implementation.DipSubscriptionImp</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><code><a href="../DipSubscription.html" title="interface in cern.dip">DipSubscription</a></code></dd>
</dl>
<hr>
<pre>public class <span class="typeNameLabel">DipSubscriptionImp</span>
extends <a href="FactoryProduct.html" title="class in cern.dip.implementation">FactoryProduct</a>
implements <a href="../DipSubscription.html" title="interface in cern.dip">DipSubscription</a></pre>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>beharrel</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a id="fields.inherited.from.class.cern.dip.implementation.FactoryProduct">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;cern.dip.implementation.<a href="FactoryProduct.html" title="class in cern.dip.implementation">FactoryProduct</a></h3>
<code><a href="FactoryProduct.html#destroyed">destroyed</a></code></li>
</ul>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(cern.dip.DipFactory,java.lang.String,cern.dip.DipSubscriptionListener)">DipSubscriptionImp</a></span>&#8203;(<a href="../DipFactory.html" title="interface in cern.dip">DipFactory</a>&nbsp;fact,
                  java.lang.String&nbsp;topicName,
                  <a href="../DipSubscriptionListener.html" title="interface in cern.dip">DipSubscriptionListener</a>&nbsp;list)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#connected()">connected</a></span>()</code></th>
<td class="colLast">
<div class="block">Delegates to the Listener.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#disconnected(java.lang.String)">disconnected</a></span>&#8203;(java.lang.String&nbsp;reason)</code></th>
<td class="colLast">
<div class="block">Delegates to the Listener.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#finalize()">finalize</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTopicName()">getTopicName</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns Name of the DipData item this object is subscribed to.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#handleException(java.lang.Exception)">handleException</a></span>&#8203;(java.lang.Exception&nbsp;ex)</code></th>
<td class="colLast">
<div class="block">Delegates to the Listener.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#handleMessage(java.lang.String,java.nio.ByteBuffer,int,java.lang.String,long)">handleMessage</a></span>&#8203;(java.lang.String&nbsp;format,
             java.nio.ByteBuffer&nbsp;buffer,
             int&nbsp;quality,
             java.lang.String&nbsp;qualityreason,
             long&nbsp;timeStamp_ns)</code></th>
<td class="colLast">
<div class="block">Delegates to the Listener.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#requestUpdate()">requestUpdate</a></span>()</code></th>
<td class="colLast">
<div class="block">Requests last value to be re-send.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setDestroyed()">setDestroyed</a></span>()</code></th>
<td class="colLast">
<div class="block">Mark object as destoyed - will cause the C++ representation to be removed</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.cern.dip.implementation.FactoryProduct">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;cern.dip.implementation.<a href="FactoryProduct.html" title="class in cern.dip.implementation">FactoryProduct</a></h3>
<code><a href="FactoryProduct.html#isDestroyed()">isDestroyed</a>, <a href="FactoryProduct.html#validate()">validate</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(cern.dip.DipFactory,java.lang.String,cern.dip.DipSubscriptionListener)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DipSubscriptionImp</h4>
<pre>public&nbsp;DipSubscriptionImp&#8203;(<a href="../DipFactory.html" title="interface in cern.dip">DipFactory</a>&nbsp;fact,
                          java.lang.String&nbsp;topicName,
                          <a href="../DipSubscriptionListener.html" title="interface in cern.dip">DipSubscriptionListener</a>&nbsp;list)
                   throws <a href="../DipException.html" title="class in cern.dip">DipException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../DipException.html" title="class in cern.dip">DipException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="finalize()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>finalize</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;finalize()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>finalize</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
</dl>
</li>
</ul>
<a id="getTopicName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTopicName</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;getTopicName()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../DipSubscription.html#getTopicName()">DipSubscription</a></code></span></div>
<div class="block">Returns Name of the DipData item this object is subscribed to.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../DipSubscription.html#getTopicName()">getTopicName</a></code>&nbsp;in interface&nbsp;<code><a href="../DipSubscription.html" title="interface in cern.dip">DipSubscription</a></code></dd>
</dl>
</li>
</ul>
<a id="requestUpdate()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>requestUpdate</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;requestUpdate()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../DipSubscription.html#requestUpdate()">DipSubscription</a></code></span></div>
<div class="block">Requests last value to be re-send. This value will be received via the normal subscription
 listener mechanism.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../DipSubscription.html#requestUpdate()">requestUpdate</a></code>&nbsp;in interface&nbsp;<code><a href="../DipSubscription.html" title="interface in cern.dip">DipSubscription</a></code></dd>
</dl>
</li>
</ul>
<a id="connected()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>connected</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;connected()</pre>
<div class="block">Delegates to the Listener. This is an entry point for the C++ implementation.</div>
</li>
</ul>
<a id="disconnected(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>disconnected</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;disconnected&#8203;(java.lang.String&nbsp;reason)</pre>
<div class="block">Delegates to the Listener. This is an entry point for the C++ implementation.</div>
</li>
</ul>
<a id="handleException(java.lang.Exception)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>handleException</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;handleException&#8203;(java.lang.Exception&nbsp;ex)</pre>
<div class="block">Delegates to the Listener. This is an entry point for the C++ implementation.</div>
</li>
</ul>
<a id="handleMessage(java.lang.String,java.nio.ByteBuffer,int,java.lang.String,long)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>handleMessage</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;handleMessage&#8203;(java.lang.String&nbsp;format,
                          java.nio.ByteBuffer&nbsp;buffer,
                          int&nbsp;quality,
                          java.lang.String&nbsp;qualityreason,
                          long&nbsp;timeStamp_ns)</pre>
<div class="block">Delegates to the Listener. This is an entry point for the C++ implementation.</div>
</li>
</ul>
<a id="setDestroyed()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setDestroyed</h4>
<pre class="methodSignature">protected&nbsp;void&nbsp;setDestroyed()</pre>
<div class="block">Mark object as destoyed - will cause the C++ representation to be removed</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="FactoryProduct.html#setDestroyed()">setDestroyed</a></code>&nbsp;in class&nbsp;<code><a href="FactoryProduct.html" title="class in cern.dip.implementation">FactoryProduct</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/DipSubscriptionImp.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small>Copyright &#169; 2008&#x2013;2020 <a href="http://www.cern.ch/">CERN</a>. All rights reserved.</small></p>
</footer>
</body>
</html>
